io.undertow.io

## Interface IoCallback

All Known Implementing Classes:
  DefaultIoCallback

    public interface IoCallback

Author:
  Stuart Douglas

### Field Summary

Fields
`static IoCallback` `END_EXCHANGE` A default callback that simply ends the exchange.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onComplete(HttpServerExchange exchange, Sender sender)`
`void` `onException(HttpServerExchange exchange, Sender sender, IOException exception)`

### Field Detail

#### END_EXCHANGE

    static final IoCallback END_EXCHANGE

A default callback that simply ends the exchange.

### Method Detail

#### onComplete

    void onComplete(HttpServerExchange exchange,
                    Sender sender)

#### onException

    void onException(HttpServerExchange exchange,
                     Sender sender,
                     IOException exception)